QXmpp: QXmppOutgoingServer Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Slots | Signals | Public Member Functions | List of all members
QXmppOutgoingServer Class Reference

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server. More...

`#include <QXmppOutgoingServer.h>`

Inheritance diagram for QXmppOutgoingServer:

## Public Slots
void | connectToHost (const QString &domain)
void | queueData (const QByteArray &data)
Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)

## Signals
void | dialbackResponseReceived (const QXmppDialback &response)
| This signal is emitted when a dialback verify response is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions
| QXmppOutgoingServer (const QString &domain, QObject *parent)
| ~QXmppOutgoingServer ()
bool | isConnected () const
QString | localStreamKey () const
| Returns the stream's local dialback key.
void | setLocalStreamKey (const QString &key)
void | setVerify (const QString &id, const QString &key)
QString | remoteDomain () const
| Returns the remote server's domain.
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream ()
| Destroys a base XMPP stream.
bool | sendPacket (const QXmppStanza &)
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0

## Detailed Description

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server.

## Constructor & Destructor Documentation

QXmppOutgoingServer::QXmppOutgoingServer | ( | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new outgoing server-to-server stream.

Parameters

  domain | the local domain
  parent | the parent object

QXmppOutgoingServer::~QXmppOutgoingServer | ( |  | ) |

Destroys the stream.

## Member Function Documentation

void QXmppOutgoingServer::connectToHost | ( | const QString & | domain | ) |
| slot

Attempts to connect to an XMPP server for the specified domain.

Parameters

  domain |

bool QXmppOutgoingServer::isConnected | ( |  | ) | const
| virtual

Returns true if the socket is connected and authentication succeeded.

Reimplemented from QXmppStream.

void QXmppOutgoingServer::queueData | ( | const QByteArray & | data | ) |
| slot

Sends or queues data until connected.

Parameters

  data |

void QXmppOutgoingServer::setLocalStreamKey | ( | const QString & | key | ) |

Sets the stream's local dialback key.

Parameters

  key |

void QXmppOutgoingServer::setVerify | ( | const QString & | id,
|  | const QString & | key
| ) |  |

Sets the stream's verification information.

Parameters

  id |
  key |

The documentation for this class was generated from the following files:

- QXmppOutgoingServer.h
- QXmppOutgoingServer.cpp